/*
	File:		StandardGetFolder.h

	Contains:	Public interfaces for the routines in StandardGetFolder.c

	Written by: Andy Bachorski	

	Copyright:	Copyright  1998-1999 by Apple Computer, Inc., All Rights Reserved.

				You may incorporate this Apple sample source code into your program(s) without
				restriction. This Apple sample source code has been provided "AS IS" and the
				responsibility for its operation is yours. You are not permitted to redistribute
				this Apple sample source code as "Apple sample source code" after having made
				changes. If you're going to re-distribute the source, we require that you make
				it clear in the source that the code was descended from Apple sample source
				code, but that you've made changes.

	Change History (most recent first):
				7/1/1999	Karl Groethe		 Updated for Metrowerks Codewarror Pro 2.1
				

*/
#ifndef _STANDARD_GET_FOLDER_
#define _STANDARD_GET_FOLDER_



//******************	Universal Interfaces		****************************

#include <StandardFile.h>

#if PRAGMA_ONCE
#pragma once
#endif

#ifdef __cplusplus
extern "C" {
#endif

#if PRAGMA_IMPORT
#pragma import on
#endif

//******************	Puiblic Prototypes			****************************

pascal	void	StandardGetFolder( FileFilterYDUPP fileFilter, StandardFileReply *theSFR );
pascal	Boolean	OnlyVisibleFoldersCustomFileFilter( CInfoPBPtr myCInfoPBPtr, Ptr dataPtr );



#ifdef PRAGMA_IMPORT_OFF
#pragma import off
#elif PRAGMA_IMPORT
#pragma import reset
#endif

#ifdef __cplusplus
}
#endif

#endif // _STANDARD_GET_FOLDER_
